﻿namespace CalendarNotepad.Extends
{
    /// <summary>
    /// 文件列表视图模型
    /// </summary>
    public class ListViewFileModel
    {
        public ListViewItem Item { get; set; }

        public ListViewFileModel() : this("","","初始化") { }

        public ListViewFileModel(string? fileName,string? fileKey,string? status) {
            var item = new ListViewItem(Path.GetFileName(fileName));
            item.SubItems.Add(new ListViewItem.ListViewSubItem { Text = status });
            item.SubItems.Add(new ListViewItem.ListViewSubItem { Text = fileKey });
            this.Item = item;
        }

        public ListViewFileModel(ListViewItem item) {
            this.Item = item;
        }

        public ListViewItem ToListViewItem() {
            return this.Item;
        }

        /// <summary>
        /// 文件名
        /// </summary>
        public string? FileName { get => this.Item.Name; set => this.Item.Name = Path.GetFileName(value); }
        /// <summary>
        /// 文件指纹
        /// </summary>
        public string? FileKey { get => this.Item.SubItems[2].Text; set => this.Item.SubItems[2].Text = value; }
        /// <summary>
        /// 文件说明
        /// </summary>
        public string? Status { get => this.Item.SubItems[1].Text; set => this.Item.SubItems[1].Text = value; }
    }
}
